﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsFormsApplication8
{
    public partial class Form1 : Form
    {
        RadPageViewStripElement pageStrip;
        int availableHeight = 0;

        public Form1()
        {
            InitializeComponent();

            pageStrip = this.radDock1.GetAutoHideTabStrip(Telerik.WinControls.UI.Docking.AutoHidePosition.Left);
            pageStrip.PropertyChanged += new PropertyChangedEventHandler(pageStrip_PropertyChanged);

            this.radDock1.DockStateChanged += new Telerik.WinControls.UI.Docking.DockWindowEventHandler(radDock1_DockStateChanged);
        }

        void pageStrip_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            if (e.PropertyName == "Bounds")
            {
                SetItemsHeight();
            }
        }
      
        void radDock1_DockStateChanged(object sender, Telerik.WinControls.UI.Docking.DockWindowEventArgs e)
        {
            SetItemsHeight();
        }

        void SetItemsHeight()
        {
            if (pageStrip.Items.Count != 0)
            {
                availableHeight = pageStrip.Size.Height;
                int availableHeightPerTab = availableHeight / pageStrip.Items.Count;

                int strippedSampleHeight = pageStrip.Items[0].Size.Height - 2 * pageStrip.Items[0].Padding.Left;

                for (int i = 0; i < pageStrip.Items.Count; i++)
                {
                    pageStrip.Items[i].Padding = new Padding(0, pageStrip.Items[i].Padding.Top, 0, pageStrip.Items[i].Padding.Bottom);
                }

                int leftRightPaddingToBeSet = (availableHeightPerTab - strippedSampleHeight) / 2;
                for (int i = 0; i < pageStrip.Items.Count; i++)
                {
                    pageStrip.Items[i].Padding = new Padding(leftRightPaddingToBeSet, pageStrip.Items[i].Padding.Top, leftRightPaddingToBeSet, pageStrip.Items[i].Padding.Bottom);
                }
            }
        }
    }
}
